local fn = _gn(0x6ABFA3E16460F22D)
--- Create a camera with the specified camera hash, You can use `SET_CAM_` natives to manipulate the camera.
-- Make sure to call [RENDER_SCRIPT_CAMS](#\_0x07E5B515DB0636FC) once the camera is created, or this won't have any visible effect.
-- Take a look at [CREATE_CAM](#\_0xC3981DCE61D9E13F) if you would like to see the available camera names.
-- ```
-- NativeDB Introduced: v323
-- ```
-- @param camHash The hash of the camera type, use [GET_HASH_KEY](#\_0xD24D37CC275948CC) to get the camera hash from the name.
-- @param posX The x position of the camera.
-- @param posY The y position of the camera.
-- @param posZ The z position of the camera.
-- @param rotX The x rotation of the camera.
-- @param rotY The y rotation of the camera.
-- @param rotZ The z rotation of the camera.
-- @param fov The Field Of View of the camera, is the observable world that is seen.
-- @param active Set to true if you wish to make this new camera the active camera.
-- @param rotationOrder The order of rotation, see [`GET_ENTITY_ROTATION`](#\_0xAFBD61CC738D9EB9).
-- @return A camera handle.
function Global.CreateCameraWithParams(camHash, posX, posY, posZ, rotX, rotY, rotZ, fov, active, rotationOrder)
	return fn(_ch(camHash), posX, posY, posZ, rotX, rotY, rotZ, fov, active, rotationOrder, _ri)
end
